<template>
  <div class="page">
    <Header />
    <SocialLinks />
    <div>
      <ListExperiences :experiences="experiences" />
      <ListTrainings :trainings="trainings" />
      <ListProjects :projects="projects" />
    </div>
  </div>
</template>

<script>

import Header from '../components/resumes/Header'
import ListTrainings from '../components/resumes/trainings/ListTrainings'
import ListExperiences from '../components/resumes/experiences/ListExperiences'
import ListProjects from '../components/resumes/projects/ListProjects'
import SocialLinks from '../components/resumes/social-links/SocialLinks'

export default {
  components: {
    Header,
    ListTrainings,
    ListExperiences,
    ListProjects,
    SocialLinks
  },
  async asyncData ({ $content }) {
    const experiences = await $content('experiences')
      .sortBy('start', 'desc')
      .fetch()

    const trainings = await $content('trainings')
      .sortBy('start', 'desc')
      .fetch()

    const projects = await $content('projects')
      .sortBy('ordinal', 'asc')
      .fetch()

    return {
      experiences,
      trainings,
      projects
    }
  },
  data () {
    return {
      experiences: [],
      trainings: [],
      projects: []
    }
  },
  head () {
    return {
      title: 'Vincent PECQUERIE - Portfolio',
      meta: [
        {
          hid: 'description',
          name: 'description',
          content: 'Vincent PECQUERIE - Développeur Web, Mobile et aspirant DevOps sur Rouen ou partout ailleurs en télétravail'
        },
        {
          hid: 'twitter:description',
          name: 'twitter:description',
          content: 'Vincent PECQUERIE - Développeur Web, Mobile et aspirant DevOps sur Rouen ou partout ailleurs en télétravail'
        },
        {
          hid: 'og:description',
          name: 'og:description',
          content: 'Vincent PECQUERIE - Développeur Web, Mobile et aspirant DevOps sur Rouen ou partout ailleurs en télétravail'
        }
      ]
    }
  }
}
</script>

<style scoped>
  .is-darker {
    background-color: black;
  }

  .hero-background {
    position: absolute;
    object-fit: cover;
    object-position: center center;
    width: 100%;
    opacity: 0.75;
    height: 65vh;
  }

  .hero {
    height: 65vh;
    margin-bottom: -20px;
  }

  .hero-body {
    padding-top: 25vh;
  }
</style>
